<?php
/**
 * Created by JetBrains PhpStorm.
 * User: mindblast
 * Date: 13.12.11
 * Time: 14:59
 * To change this template use File | Settings | File Templates.
 */

session_start();
header ("Pragma: no-cache"); // HTTP/1.0

include_once("../../conf/config.inc.php");
include_once(DATEIPFAD . "conf/db.inc.php");
include_once("../global_off.inc.php");
include_once(DATEIPFAD . "includes/functions.bewertung.inc.php");
include_once(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
include_once(DATEIPFAD . "includes/functions.language.inc.php");
include_once(DATEIPFAD . "includes/functions.waehrung.inc.php");
if(GUTSCHEINAKTIONEN) {
    include_once(DATEIPFAD . "includes/functions.mod.gutscheinaktionen.inc.php");
}
include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");

if($_POST['speichern']) {
    $bewertungsEinstellungen =
        Array(
            'bewertungsAnfrageMailsSenden' => $_POST['bewertungsAnfrageMailsSenden'],
            'bewertungsAnfrageMailsSendenTage' => $_POST['bewertungsAnfrageMailsSendenTage']
        );
    if(!is_numeric($bewertungsEinstellungen['bewertungsAnfrageMailsSendenTage'])) {
        $bewertungsEinstellungen['bewertungsAnfrageMailsSendenTage'] = '7';
    }
    $bewertungsEinstellungen['maxBewertungenProTag'] = $_POST['maxBewertungenProTag'];

    if(GUTSCHEINAKTIONEN) {
        $bewertungsEinstellungen['bewertungsGutscheineAktiv'] = $_POST['bewertungsGutscheineAktiv'];
        $bewertungsEinstellungen['punkteProBewertung'] = $_POST['punkteProBewertung'];
        $bewertungsEinstellungen['gutscheinaktion'] = $_POST['gutscheinaktion'];
        $bewertungsEinstellungen['gutscheinpunkte'] = $_POST['gutscheinpunkte'];
    }

    SaveGroupEinstellungen('bewertungen', $bewertungsEinstellungen);

}

$LanguageID = GetDefaultLanguageID();
if(GUTSCHEINAKTIONEN) {
    $tpl_gutscheinaktionen = GetGutscheinaktionenDataArray("", "", "", "", 0, 100, true, $LanguageID);
}

$bewertungsEinstellungen = GetEinstellungen('', 'bewertungen');

$tpl_bewertungsAnfrageMailsSenden = $bewertungsEinstellungen->bewertungen->bewertungsAnfrageMailsSenden;
$tpl_bewertungsAnfrageMailsSendenTage = $bewertungsEinstellungen->bewertungen->bewertungsAnfrageMailsSendenTage;
$tpl_maxBewertungenProTag = $bewertungsEinstellungen->bewertungen->maxBewertungenProTag;

if(GUTSCHEINAKTIONEN) {
    $tpl_bewertungsGutscheineAktiv = $bewertungsEinstellungen->bewertungen->bewertungsGutscheineAktiv;
    $tpl_punkteProBewertung = $bewertungsEinstellungen->bewertungen->punkteProBewertung;
    $tpl_gutscheinaktion = $bewertungsEinstellungen->bewertungen->gutscheinaktion;
    $tpl_gutscheinpunkte = $bewertungsEinstellungen->bewertungen->gutscheinpunkte;
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
    <title><?=$a_admin;?></title>
    <link rel="stylesheet" type="text/css" href="../style/style.css">
    <script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
    <meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="pragma" content="no-cache">
    <meta HTTP-EQUIV="Expires" CONTENT="0">
</head>

<body class="mainBackground">
<form name="form_einstellungen" action="einstellungen.php" method="post">
    <table cellspacing="0" cellpadding="1" border="0" width="50%" bgcolor="#E5E5E5">
        <tr>
            <td align="left"><b>Bewertungssystem Einstellungen</b></td>
        </tr>
        <tr>
            <td bgcolor="#ffffff">Bewertungsanfrage-Mails versenden</td>
            <td bgcolor="#ffffff"><input type="checkbox" name="bewertungsAnfrageMailsSenden" value="1" <?php echo ($tpl_bewertungsAnfrageMailsSenden?'checked':'')?>>
            <input type="text" name="bewertungsAnfrageMailsSendenTage" value="<?php echo $tpl_bewertungsAnfrageMailsSendenTage?>" size="3"> Tage nach Versand der Bestellung</td>
        </tr>
        <tr>
            <td bgcolor="#ffffff">max. Anzahl Bewertungen pro Tag</td>
            <td bgcolor="#ffffff"><input type="text" name="maxBewertungenProTag" value="<?php echo $tpl_maxBewertungenProTag?>"></td>
        </tr>
        <?php if(GUTSCHEINAKTIONEN) {?>
        <tr>
            <td bgcolor="#ffffff">Gutscheine für Bewertungen vergeben</td>
            <td bgcolor="#ffffff"><input type="checkbox" name="bewertungsGutscheineAktiv" value="1" <?php echo ($tpl_bewertungsGutscheineAktiv?'checked':'');?>></td>
        </tr>
        <tr>
            <td bgcolor="#ffffff">Punkte pro Bewertung</td>
            <td bgcolor="#ffffff"><input type="text" name="punkteProBewertung" value="<?php echo $tpl_punkteProBewertung;?>"></td>
        </tr>
        <tr>
            <td bgcolor="#ffffff">Gutscheinaktion</td>
            <td bgcolor="#ffffff"><select name="gutscheinaktion">
                <?php foreach($tpl_gutscheinaktionen as $gutscheinaktion) {?>
                <option value="<?php echo $gutscheinaktion['gutscheinaktion_id'] ?>" <?php echo ($gutscheinaktion['gutscheinaktion_id'] == $tpl_gutscheinaktion?'selected':'')?>><?php echo $gutscheinaktion['admin_gutscheinaktion_name']?></option>
                <?php } ?>
            </select></td>
        </tr>
        <tr>
            <td bgcolor="#ffffff">ben&ouml;tigte Punkte f&uuml;r Gutschein</td>
            <td bgcolor="#ffffff"><input type="text" name="gutscheinpunkte" value="<?php echo $tpl_gutscheinpunkte?>"></td>
        </tr>
    <?php }?>
        <tr>
            <td bgcolor="#ffffff"></td>
            <td bgcolor="#ffffff">
                <input type="submit" name="speichern" value="Speichern">
            </td>
        </tr>
    </table>
</form>
</body>
</html>